# network segment

A network segment is an isolated Layer 2 segment within a network. A network may contain multiple network segments. Depending on the network configuration, Layer 2 connectivity between network segments within a network may not be guaranteed.

Network v2

## network segment create

Create new network segment

    openstack network segment create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--physical-network <physical-network>]
        [--segment <segment>]
        --network <network>
        --network-type <network-type>
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  Network segment description

--physical-network <physical-network>

  Physical network name of this network segment

--segment <segment>

  Segment identifier for this network segment which is based on the network type, VLAN ID for vlan network type and tunnel ID for geneve, gre and vxlan network types

--network <network>

  Network this network segment belongs to (name or ID)

--network-type <network-type>

  Network type of this network segment (flat, geneve, gre, local, vlan or vxlan)

name

  New network segment name

## network segment delete

Delete network segment(s)

    openstack network segment delete
        <network-segment>
        [<network-segment> ...]

network-segment

  Network segment(s) to delete (name or ID)

## network segment list

List network segments

    openstack network segment list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [--network <network>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--network <network>

  List only network segments associated with the specified network (name or ID)

## network segment set

Set network segment properties

    openstack network segment set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--name <name>]
        <network-segment>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  Set network segment description

--name <name>

  Set network segment name

network-segment

  Network segment to modify (name or ID)

## network segment show

Display network segment details

    openstack network segment show <network-segment>

network-segment

  Network segment to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.